 <?php
 /*
 Template Name: Blog Small Image
 */
?>

<?php get_header(); ?>

<?php

$sidebar_key="madza_sidebar_type"; 
$sidebar=get_post_meta($post->ID, $sidebar_key, true); 
$post_in_page=get_option("of_posts_in_page");
?>

<!--BLOG CONTENT -->
<div class="<?php 
    
    if($sidebar=="Right"){ echo "right-content"; } else if($sidebar=="Left") { echo "left-content"; } 
    
    else {  echo of_page_layout(); echo "-content";   } ?>">
    
<?php
$page = (get_query_var('paged')) ? get_query_var('paged') : 1;
$temp = $wp_query;
$wp_query= null;
$wp_query = new WP_Query();
$wp_query->query("paged=$page");
while ($wp_query->have_posts()) : $wp_query->the_post();
global $post,$more;
$more = 0;
$blog_post_text_type=get_post_meta($post->ID, "madza_post_blog_text_type", true); 



////////////////////
//GET INFO FROM ID//
////////////////////
global $post,$more;
$more = 0;
$blog_post_text_type=get_post_meta($post->ID, "madza_post_blog_text_type", true); 
$slides = get_post_meta($post->ID,'slides', true);




///////////////////////
//START EXPORT FRAMES//
///////////////////////
if($slides!=""){ 
    
    echo '<div class="bee-blog-small-image"><ul class="blog-slide-class" id="blog-slide-'.$post->ID.'">';

        foreach($slides as $num => $slide) {
            
            
                if(!preg_match('!\.jpg$|\.jpeg$|\.png$|\.gif$!', $slide['src']) && $slide['src'] != "" ){
                    
                        if ($slide['src'] == "embed" && $slide['title'] !=""){
                            
                            echo '<li><iframe src="'. $slide['title'] .'" width="220" height="150" frameborder="0"></iframe></li>';
                            
                        }
                                                                                                            
                                                             
                 } 
                
                else if($slide['src'] != ''){
                    
                    $_slider_image = '<img src="'. get_template_directory_uri() .'/includes/thumb.php?src='. $slide['src'] .'&h=230&w=220" width="220" height="230">';
                
                    if($slide['link_type']=="Lightbox"){
                        
                            echo '<li><a class="portfolio-hover-lightbox opacity-portfolio" rel="prettyPhoto['.$post->ID.']" alt="'.$slide['title'].'" title="'.$slide['caption'].'" href="'. $slide['src'] .'"></a>'.$_slider_image.'</li>';
                        
                    } if($slide['link_type']=="Link manually"){
                        
                            echo '<li><a class="portfolio-hover-link opacity-portfolio" href="'. $slide['url_manual'] .'"></a>'.$_slider_image.'</li>';
                        
                    } if ($slide['link_type']=="Link to Category"){
                        
                            echo '<li><a class="portfolio-hover-link opacity-portfolio" href="'. get_category_link(get_cat_ID( $slide['url_cat'] )) .'"></a>'.$_slider_image.'</li>';
                        
                    } if ($slide['link_type']=="Link to Page"){
                        
                            echo '<li></div><a class="portfolio-hover-link opacity-portfolio" href="'. get_required_page($slide['url_page']) .'"></a>'.$_slider_image.'</li>';
                        
                    } if ($slide['link_type']=="Link to this Post"){ 
                        
                            echo '<li><a class="portfolio-hover-link opacity-portfolio" href="'. get_permalink() .'"></a>'.$_slider_image.'</li>';
                        
                    } if ($slide['link_type']=="Select..."){ 
                                     
                            echo '<li><a class="portfolio-hover-link opacity-portfolio" href="'. get_permalink() .'"></a>'.$_slider_image.'</li>';
                        
                    } if ($slide['link_type']=="No link"){ 
                                      
                            echo '<li>'.$_slider_image.'</li>';
                        
                    }
                    
               } 
         }
    echo '</ul><div class="circle-nav-class" id="circle-nav-'. $post->ID .'"></div></div>'; ?>

<script type="text/javascript">
$(document).ready(function(){
    $('#blog-slide-<?php echo $post->ID; ?>').cycle({ 
        fx:         'fade', 
        speed:       300,
        pager:      '#circle-nav-<?php echo $post->ID ?>',
        timeout:     0, 
        before: onBefore,
        after: onAfter,
        sync: true
    });
    function onAfter(curr, next, opts, fwd) {
     var $ht = $(this).height();
    
     $(this).parent().animate({height: $ht});
    };
    function onBefore(curr, next, opts, fwd) {
     var $ht = $(this).height();
    
     $(this).parent().animate({height: $ht});
    };
});
</script>

<?php } ?>     




        
        <?php if($slides=="" && has_post_thumbnail()){?>
    
            <div class="post-small-image"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', "madza_translate"), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_post_thumbnail('blog_thumnail_smalls');?></a></div>
        
        <?php } ?>
            
            <div>
            
            <h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', "madza_translate" ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
            
            <div class="entry-meta<?php if($slides!="" OR has_post_thumbnail()){ echo "-small-image"; }?>">
                    
            <?php if ( count( get_the_category() ) ) { ?>
            	
               <div class="cat-links"><?php _e( 'Posted', "madza_translate" ); ?> <?php the_modified_date('j'); ?> <?php the_modified_date('M'); ?> <?php the_modified_date('Y'); ?> | <?php _e( 'In', "madza_translate" ); ?> 
        						
                    <?php printf( __( '%2$s' ), 'entry-utility-prep entry-utility-prep-cat-links', get_the_category_list( ', ' ) ); ?>
                    
                    <div class="float-right">
                     
                        <?php comments_popup_link( __( '0 Comments', "madza_translate"), __( '1 Comment', "madza_translate" ), __( '% Comments', "madza_translate"), '0', '0' ); ?>
                     
                     </div>
        					
               </div>
            
            <?php } ?>
            
            </div><!-- entry_first END -->
            
            <div class="entry-content">
            
            	<?php if ($blog_post_text_type=="Full text"){
                            
                                the_content('<div class="more-diva-2">' . __( 'Read More', "madza_translate") . '</div>');
                            
                        } else if ($blog_post_text_type=="No text") {
                            
                        } else {
                            
                                the_excerpt();
                            
                    }?>
                
            </div><!-- entry_content END -->
        
        </div>
        
    <div class="clear"></div> 
    
<div class="post-line-after"></div>                  

<?php endwhile ?>
<?php if(function_exists('wp_pagenavi')) { wp_pagenavi(); } ?>
<?php $wp_query = null; $wp_query = $temp; ?>
<?php wp_reset_query(); ?>  
 
</div><!--END BLOG CONTENT -->
 
<?php get_sidebar(); ?>

<?php get_footer(); ?>
