 <?php
 /*
 Template Name: Contact Page
 */
?>

<?php get_header(); ?>

<?php 

if(get_option('of_contact_widget') == "true") {
    
    if(get_option('of_contact_widget_position')=="right"){
        
        $class='class="right-content">';
        
    } else if(get_option('of_contact_widget_position')=="left") {
        
        $class='class="left-content">';
        
    }
    
} else {
    
    $class='id="full-page">';
    
}

?>

<!--BLOG CONTENT -->
<div <?php if(is_page_template('contact-page.php')) { echo $class; }  else { ?> class="<?php 

    if($sidebar=="Right"){ echo "right-content"; } else if($sidebar=="Left") { echo "left-content"; } 
    
    else {  echo of_page_layout(); echo "-content";   } ?>"> <?php } ?>
    
    
<?php
 
if(get_option('of_contact_form') == "true") {
    
    if(get_option('of_contact_form_title')) {
    
        echo "<h2>"; echo get_option("of_contact_form_title"); echo "</h2>";
    
    }
    
    if(get_option('of_contact_form_description')) {
    
        echo "<p>"; echo get_option("of_contact_form_description"); echo "</p>";
    
    } 
    
    $name_translate = __("Name", "madza_translate");
    $email_translate = __("E-mail", "madza_translate");
    
    ?>
    
    
        
        <div class="widget_chortcode">
        <div id="contact_form_holder_2">
        
            <div id="message"></div>
                                
            <form method="post" action="<?php echo get_template_directory_uri(); echo "/includes/contact-form/" ?>contact.php" name="contactform" id="contactform">
            
            <fieldset>

            <input name="name" type="text" id="name" size="30" onfocus="if(this.value=='<?php echo $name_translate; ?>')this.value='';" onblur="if(this.value=='')this.value='<?php echo $name_translate; ?>';" value="<?php echo $name_translate; ?>" /> 

            <input name="email" type="text" id="email" size="30" onfocus="if(this.value=='<?php echo $email_translate; ?>')this.value='';" onblur="if(this.value=='')this.value='<?php echo $email_translate; ?>';" value="<?php echo $email_translate; ?>"/>
        
            <textarea name="comments" rows="7"  id="comments" ></textarea>
                            
            <p><span class="required">*</span> Are you human?</p>
                    
            &nbsp;&nbsp;&nbsp;<img src="<?php echo get_template_directory_uri(); echo "/includes/contact-form/" ?>image.php" border="0">
            <input name="verify" type="text" id="verify" size="6" value="" style="width: 55px;" /><br /><br />
            <div class="clear"></div>
            <input type="submit" class="submit" id="send_message" value="<?php _e("Send", "madza_translate"); ?>" />
            
            </fieldset>
        
            </form>
                    
	   </div>
        </div>                        
    
<?php
    
}

if(get_option('of_contact_content') == "contact_content_yes") {
            
                echo '<div class="line-home"></div>';
            
            ?>
            
            <?php if (get_option('of_contact_content') == "contact_content_yes") {
                
               $args=array(
                      'pagename' => get_option('of_contact_content_page'),
                      'post_type' => 'page',
                      'post_status' => 'publish',
                      'posts_per_page' => -1,
                      'caller_get_posts'=> 1
                      );
                    $my_query = null;
                    $my_query = new WP_Query($args);
                    if( $my_query->have_posts() ) {
                      while ($my_query->have_posts()) : $my_query->the_post(); ?>
                       <?php the_content(); ?>
                       <?php
                      endwhile;
                    }
                wp_reset_query();
                
} } ?>


</div><!--END BLOG CONTENT -->
 
<?php if(get_option('of_contact_widget') == "true") { get_sidebar(); } ?>

<?php get_footer(); ?>
